## libkface 15.08.2

=== libkface/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

remove_definitions(-DQT_NO_STL)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake.in   ${CMAKE_CURRENT_BINARY_DIR}/version.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libopencv.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libopencv.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/database
                    ${CMAKE_CURRENT_SOURCE_DIR}/detection
                    ${CMAKE_CURRENT_SOURCE_DIR}/recognition-opencv-lbph
                    ${CMAKE_CURRENT_SOURCE_DIR}/alignment-congealing
#                    ${CMAKE_CURRENT_SOURCE_DIR}/alignment-flandmark
#                    ${CMAKE_CURRENT_SOURCE_DIR}/preprocessing-tantriggs
                   )

set(kface_LIB_SRCS facedetector.cpp
                   identity.cpp
                   dataproviders.cpp
                   recognitiondatabase.cpp
                   detection/opencvfacedetector.cpp
                   recognition-opencv-lbph/lbphfacemodel.cpp
                   recognition-opencv-lbph/opencvlbphfacerecognizer.cpp
                   recognition-opencv-lbph/facerec_borrowed.cpp
                   alignment-congealing/funnelreal.cpp
#                   alignment-flandmark/flandmarkaligner.cpp
#                   preprocessing-tantriggs/tantriggspreprocessor.cpp
   )

set(kface_database_LIB_SRCS database/databaseaccess.cpp
                            database/databasecorebackend.cpp
                            database/databaseparameters.cpp
                            database/dbactiontype.cpp
                            database/schemaupdater.cpp
                            database/databaseconfigelement.cpp
                            database/databaseoperationgroup.cpp
                            database/trainingdb.cpp
                            database/sqlquery.cpp
                            database/dbcontainers.cpp
   )

KDE4_ADD_LIBRARY(kface SHARED ${kface_LIB_SRCS} ${kface_database_LIB_SRCS})

target_link_libraries(kface ${KDE4_KDECORE_LIBS}
                            ${KDE4_KDEUI_LIBS}

                            ${QT_QTGUI_LIBRARY}
                            ${QT_QTXML_LIBRARY}
                            ${QT_QTSQL_LIBRARY}

                            ${OpenCV_LIBRARIES}
                      )

set_target_properties(kface PROPERTIES VERSION ${KFACE_LIB_SO_VERSION_STRING}
                            SOVERSION ${KFACE_LIB_SO_CUR_VERSION})

install(TARGETS kface EXPORT Kface ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/database/dbconfig.xml
        DESTINATION ${DATA_INSTALL_DIR}/libkface/database )

# Check if compilation is done through digiKam SC or not. If yes, do not install header files.
if(NOT DIGIKAMSC_COMPILE_LIBKFACE)

    install(FILES facedetector.h
                  recognitiondatabase.h
                  identity.h
                  dataproviders.h
                  libkface_export.h
                  ${CMAKE_CURRENT_BINARY_DIR}/version.h
            DESTINATION ${INCLUDE_INSTALL_DIR}/libkface COMPONENT Devel
           )

    if(NOT WIN32)
        configure_file(${CMAKE_SOURCE_DIR}/cmake/templates/libkface.pc.cmake.in  ${CMAKE_CURRENT_BINARY_DIR}/libkface.pc)
        configure_file(${CMAKE_SOURCE_DIR}/cmake/templates/libkface.lsm.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libkface.lsm)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libkface.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )
    endif()

endif()

=== tests/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

include_directories(${CMAKE_CURRENT_BINARY_DIR}/../libkface)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../libkface)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

set(detect_SRCS detect.cpp)
KDE4_ADD_EXECUTABLE(detect ${detect_SRCS})
target_link_libraries(detect kface ${KDE4_KDECORE_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${OpenCV_LIBRARIES})

set(recognize_SRCS recognize.cpp)
KDE4_ADD_EXECUTABLE(recognize ${recognize_SRCS})
target_link_libraries(recognize kface ${KDE4_KDECORE_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${OpenCV_LIBRARIES})

set(align_SRCS align.cpp)
KDE4_ADD_EXECUTABLE(align ${align_SRCS})
target_link_libraries(align kface ${KDE4_KDECORE_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${OpenCV_LIBRARIES})

set(preprocess_SRCS preprocess.cpp)
KDE4_ADD_EXECUTABLE(preprocess ${preprocess_SRCS})
target_link_libraries(preprocess kface ${KDE4_KDECORE_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${OpenCV_LIBRARIES})

set(traindb_SRCS traindb.cpp)
KDE4_ADD_EXECUTABLE(traindb ${traindb_SRCS})
target_link_libraries(traindb kface ${KDE4_KDECORE_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${OpenCV_LIBRARIES})

# -----------------------------------------------------------------------------

set(kfacegui_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/gui/main.cpp
                  ${CMAKE_CURRENT_SOURCE_DIR}/gui/mainwindow.cpp
                  ${CMAKE_CURRENT_SOURCE_DIR}/gui/faceitem.cpp
                  ${CMAKE_CURRENT_SOURCE_DIR}/gui/button.cpp
                  ${CMAKE_CURRENT_SOURCE_DIR}/gui/marquee.cpp
                  ${CMAKE_CURRENT_SOURCE_DIR}/gui/fancyrect.cpp
   )

KDE4_ADD_UI_FILES(kfacegui_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/gui/mainwindow.ui)
KDE4_ADD_EXECUTABLE(kfacegui ${kfacegui_SRCS})

target_link_libraries(kfacegui kface ${KDE4_KDECORE_LIBS}
                                     ${KDE4_KDEUI_LIBS}
                                     ${KDE4_KIO_LIBS}
                                     ${QT_QTCORE_LIBRARY}
                                     ${QT_QTGUI_LIBRARY}
                                     ${OpenCV_LIBRARIES}
                     )

## libkface 14.12.3

=== debian/changelog ===
libkface (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * Add back kdelibs parent version depend. 
  * Fix the maintainer field to the new 
    standard for debian git hosted apps. 
  * New upstream release
  * Fix kdelibs5 version in build depends. 
  * Batchpatch symbols - Removed  #MISSING: 4:14.14.3# (optional=templinst)

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:23:09 -0700

libkface (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Add watch file  
  * Fix extended description length.
  * batchpatch i386 symbols. Removed 2 missing optional. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:26:05 -0800

libkface (4:14.12.0-0ubuntu1) vivid; urgency=low

  * Initial release split out from Digikam

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 14:28:50 +0100

=== debian/control ===
Source: libkface
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.14),
               libopencv-dev,
               pkg-kde-tools
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkface
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkface.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkface.git

Package: libkface-dev
Section: libdevel
Architecture: any
Depends: libkface3 (= ${binary:Version}), ${misc:Depends}
Description: face recognition and detection library - development files
 Libkface is a Qt/C++ library to perform face recognition
 and detection over pictures.
 .
 This library is used by kipi-plugins, digiKam and
 others Kipi host programs.
 .
 This package contains the development files.

Package: libkface3
Architecture: any
Depends: libkface-data,
         ${misc:Depends},
         ${shlibs:Depends}
Description: face recognition and detection library
 Libkface is a Qt/C++ library to perform face recognition
 and detection over pictures.
 .
 This library is used by kipi-plugins, digiKam and others
 Kipi host programs.

Package: libkface-data
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: face recognition and detection library
 Libkface is a Qt/C++ library to perform face recognition
 and detection over pictures.
 .
 This library is used by kipi-plugins, digiKam and others
 Kipi host programs.
 .
 This package contains the data files of the LibKFace library.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkface-([\d.]+).tar.xz

## libkface 15.04.2

=== debian/changelog ===
libkface (4:15.04.2-0tanglu2) staging; urgency=medium

  * libkface-data breaks/replaces digikam-data << 4:4.10.0~ 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 22 Jul 2015 21:20:35 +0200

libkface (4:15.04.2-0tanglu1) staging; urgency=medium

  * Upload for Tanglu

 -- Matthias Klumpp <mak@debian.org>  Mon, 29 Jun 2015 19:30:20 +0200

libkface (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 
  * Fix kdelibs version 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:45:29 +0200

=== debian/control ===
--- 
+++ 
@@ -27,9 +27,7 @@
 
 Package: libkface3
 Architecture: any
-Depends: libkface-data,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libkface-data, ${misc:Depends}, ${shlibs:Depends}
 Description: face recognition and detection library
  Libkface is a Qt/C++ library to perform face recognition
  and detection over pictures.
@@ -40,6 +38,8 @@
 Package: libkface-data
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: digikam-data (<< 4:4.10.0~)
+Replaces: digikam-data (<< 4:4.10.0~)
 Description: face recognition and detection library
  Libkface is a Qt/C++ library to perform face recognition
  and detection over pictures.

## libkface 15.08.2

=== debian/changelog ===
libkface (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:57:34 +0100

libkface (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:41:14 +0100

libkface (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:47:37 +0100

libkface (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:24:30 +0100

=== debian/control ===
--- 
+++ 
@@ -38,8 +38,6 @@
 Package: libkface-data
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: digikam-data (<< 4:4.10.0~)
-Replaces: digikam-data (<< 4:4.10.0~)
 Description: face recognition and detection library
  Libkface is a Qt/C++ library to perform face recognition
  and detection over pictures.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkface-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkface-([\d.]+).tar.xz
